import { Message } from "discord.js";
export interface ICommand {
    name: string;
    aliases: string[];
    run: (args: string[], msg: Message) => Promise<void>;
    info: {
        [key: string]: any;
    };
}
export declare class Command implements ICommand {
    name: string;
    aliases: string[];
    run: (args: string[], msg: Message) => Promise<void>;
    info: {
        [key: string]: any;
    };
    constructor({ name, aliases, run, info }: ICommand);
}
export interface ICommandManager {
    prefix: string;
    commands: Map<string, Command>;
    aliases: Map<string, string>;
}
export declare class CommandManager implements ICommandManager {
    prefix: string;
    commands: Map<string, Command>;
    aliases: Map<string, string>;
    constructor(prefix: string);
    logCommands(commandDirPath: string): Promise<void>;
    get(commandQueryString: string): Promise<Command>;
    getSync(commandQueryString: string): Command | undefined;
    parseAndGet(msg: Message): Promise<{
        command: Command;
        args: string[];
    }>;
}
//# sourceMappingURL=index.d.ts.map